<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Managing Hosts">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Adding, Editing, and Deleting Services</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#21-host-management/adding-editing-deleting-services.html">Open topic with navigation</a>
        </p>
        <h1>Adding, Editing, and Deleting Services</h1>
        <p>The Services list is populated when you run a scan or import hosts into a project. However, there may be cases where you may want to manually modify the services list. You can add, edit, or modify the services list for any host.</p>
        <h2>Adding a Service to a Host</h2>
        <p class="leadin">To add a service to a host:</p>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Analysis &gt; Hosts</b> from the Project Tab bar. The Hosts page appears.</li>
            <li value="2">Click on the IP address for the host that you want to add a service to. The single host page opens and shows the Services list.<br /><br /><img src="../Resources/Images/host-management/hm-hosts-listview2_528x256.png" style="width: 528;height: 256;" /></li>
            <li value="3">Click the <b class="UISelection">New Service</b> button. The New Service modal window appears.<br /><br /><img src="../Resources/Images/host-management/hm-new-service-button_526x140.png" style="width: 526;height: 140;" /></li>
            <li value="4">Specify the following information for the service:<br /><br /><img src="../Resources/Images/host-management/hm-new-service-window_189x191.png" style="width: 189;height: 191;" /></li>
        </ol>
        <ul>
            <li class="indentedList" value="1"><b> Name</b> - The service name, such as HTTP, DNS, or SMTP.</li>
            <li class="indentedList" value="2"><b>Port</b> - The port that the service runs on.</li>
            <li class="indentedList" value="3"><b>Protocol</b> - The protocol, TCP or UDP, that the port uses.</li>
            <li class="indentedList" value="4"><b>State</b> - The port state can be open, closed, filtered, or unknown.</li>
            <li class="indentedList" value="5"><b> Info</b> - Any additional information that you may have about the service, such as the version that is running. </li>
        </ul>
        <ol start="5">
            <li value="5">Click the <b class="UISelection">Submit</b> button when you are done.</li>
        </ol>
        <h2>Editing a Service</h2>
        <p class="leadin">To edit a service:</p>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Analysis &gt; Hosts</b> from the Project Tab bar. The Hosts page appears.</li>
            <li value="2">Click on the IP address for the host whose services you want to edit. The single host page opens and shows the Services list.<br /><br /><img src="../Resources/Images/host-management/hm-hosts-listview2_526x255.png" style="width: 526;height: 255;" /></li>
            <li value="3">Click the <b class="UISelection">Edit</b> icon that is located in the same row as the service you want to modify. The Name, Port, Protocol, and State fields become editable.<br /><br /><img src="../Resources/Images/host-management/hm-edit-services-icon_525x114.png" style="width: 525;height: 114;" /></li>
            <li value="4">Make your changes to any of the editable fields.<br /><br /><img src="../Resources/Images/host-management/hm-edit-services-field_517x145.png" style="width: 517;height: 145;" /></li>
            <li value="5">Click the <b class="UISelection">Save</b> link when you are done.</li>
        </ol>
        <h2>Deleting a Service from a Host</h2>
        <p class="leadin">To delete a service from a host:</p>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Analysis &gt; Hosts</b> from the Project Tab bar. The Hosts page appears.</li>
            <li value="2">Click on the IP address for the host that you want to delete a service from. The single host page opens and shows the Services list.<br /><br /><img src="../Resources/Images/host-management/hm-hosts-listview2_535x259.png" style="width: 535;height: 259;" /></li>
            <li value="3">Find the service that you want to delete.</li>
            <li value="4">Click the <b class="UISelection">Delete</b> button that is located in the same row as the service. A confirmation window appears.<br /><br /><img src="../Resources/Images/host-management/hm-delete-service-button_536x98.png" style="width: 536;height: 98;" /></li>
            <li value="5">Click <b class="UISelection">OK</b> to delete the service.</li>
        </ol>
    </body>
</html>